添加/编辑产品品牌
POST
/erp/sc/storage/brand/set支持添加/编辑本地产品品牌信息
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/storage/brand/set | HTTPS | POST | 10 |
请求参数
dataarray<object>必填隐藏子属性
idintegertitlestring必填brand_codestring请求示例
{
"data": [
{
"title": "PM1610as01",
"brand_code": "code"
},
{
"id":12,
"title": "PM1610as02"
"brand_code": "code"
}
]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
idstring必填titlestring必填brand_codestring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "E75A1E60-A812-6230-4182-2680FC1BC58A",
"response_time": "2021-11-11 18:18:50",
"data": [
{
"id": 12,
"title": "华为2",
"brand_code": "code"
}
]
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": [
"data => data不能为空"
],
"request_id": "8892C7F3-2083-4001-0AA1-57A2BAAE3543",
"response_time": "2021-11-11 18:17:08",
"data": [],
"total": 0
}